# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

add_definitions( -UQT_NO_COMPAT
)


##### kcm_knetworkconfmodule (kpart) ############

tde_add_kpart( kcm_knetworkconfmodule AUTOMOC
  SOURCES tdeselectdistrodlg.ui kknownhostinfo.cpp kinterfaceupdowndlg.ui
    kaddknownhostdlg.ui kdetectdistrodlg.ui knetworkconfmodule.cpp
    kroutinginfo.cpp kreloadnetworkdlg.ui kaddressvalidator.cpp kdnsinfo.cpp
    knetworkinfo.cpp kadddevicedlg.ui kadddnsserverdlg.ui
    knetworkconfigparser.cpp knetworkinterface.cpp knetworkconfdlg.ui
    knetworkconf.cpp main.cpp kadddevicedlgextension.ui
    kwirelessinterface.cpp kadddevicewifiext.ui kadddevicecontainer.cpp
    kprofileslistviewtooltip.cpp
  LINK tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( )


##### other data ################################

tde_create_translated_desktop(
  SOURCE kcm_knetworkconfmodule.desktop
  PO_DIR knetworkconf-desktops
)
